#include "partition.h"
#include <bits/stdc++.h>

using namespace std;;
long long s,h;
long long n,a[100001];
std::vector<int> solve(std::vector<int> A)
{
    s=h=0;
    n=A.size();

    int c=n/2+n%2;
    vector<int> g;
    for(int i=0;i<c-1;i++)
        g.push_back(i);
    g.push_back(n-1);
    for(int i=c-1;i<n-1;i++)
        g.push_back(i);
    return g;

    for(long long i=0;i<n;i++)
        a[i]=A[i];

    for(long long i=0;i<n;i++)
        h+=a[i];
    s=h;
    h=h/2+h%2;
    //cout<<s<<" "<<h<<endl;

    long long ans=n+1,f=0;
    for(long long i=0;i<(1<<n);i++)
    {
        long long cnt=0,in=0,maxx=0;
        for(long long j=0;j<n;j++)
        {
            if(i&(1<<j))
            {
                maxx=max(maxx,a[j]);
                cnt++;
                in+=a[j];
            }
        }

        if(in>=h&&in-maxx<h)
        {
            ans=min(ans,abs(n-2*cnt));
            if(ans==abs(n-2*cnt))f=i;
        }
    }

    vector<int> v;

    int maxx=0,id=0;
    for(long long i=0;i<n;i++)
    {
        if((1<<i)&f)
        {
            if(a[i]>maxx)
            {
                maxx=a[i];
                id=i;
            }
        }
    }

    for(long long i=0;i<n;i++)
    {
        if(((1<<i)&f)&&i!=id)
        {
            v.push_back(i);
        }
    }

    v.push_back(id);


    for(long long i=0;i<n;i++)
    {
        if((1<<i)&f);
        else v.push_back(i);
    }

    return v;
}


int main () {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long t;
    cin >> t ;
    for (long long test=1; test<=t; test++) {
        long long n;
        cin >> n ;
        vector <int> a(n);
        for (long long i=0; i<n; i++) {
            cin >> a[i] ;
        }

        for (auto ind : solve(a)) {
            cout << ind << " ";
        }
        cout << endl ;
    }
    cout << endl ;
    return 0;
}
